Bug 83842

Summary: Web Inspector: add inspector instrumentation interface for compositing
Product: WebKit Reporter: Andrey Kosyakov <caseq>
Component: Web Inspector (Deprecated)Assignee: Andrey Kosyakov <caseq>
Status: RESOLVED FIXED    
Severity: Normal CC: anilsson, apavlov, bweinstein, dglazkov, joepeck, keishi, loislo, pfeldman, pmuellr, rik, timothy, tonikitoo, webkit.review.bot, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from ec2-cr-linux-01
none
Patch pfeldman: review+

Description Andrey Kosyakov 2012-04-12 18:15:28 PDT
This adds InspectorInstrumentation::{willComposite,didComposite}() and plumbs them down to the timeline models. The actual calls to these methods are platform-specific and appear in separate patches.
Comment 1 Andrey Kosyakov 2012-04-12 18:18:47 PDT
Created attachment 137011 [details]
Patch
Comment 2 WebKit Review Bot 2012-04-12 22:27:08 PDT
Comment on attachment 137011 [details]
Patch

Attachment 137011 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12393695

New failing tests:
inspector/timeline/timeline-enum-stability.html
Comment 3 WebKit Review Bot 2012-04-12 22:27:14 PDT
Created attachment 137039 [details]
Archive of layout-test-results from ec2-cr-linux-01

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-01  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 4 Pavel Feldman 2012-04-13 00:58:39 PDT
Comment on attachment 137011 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=137011&action=review

> Source/WebCore/inspector/front-end/TimelineModel.js:53
> +    CompositeLayers: "CompositeLayers",

You need to update a test with it.

> Source/WebCore/inspector/front-end/TimelinePresentationModel.js:-73
> -    recordStyles[recordTypes.BeginFrame] = { title: WebInspector.UIString("Frame Start"), category: categories["rendering"] };

Why did this move?
Comment 5 Andrey Kosyakov 2012-04-13 09:37:06 PDT
Created attachment 137095 [details]
Patch
Comment 6 Andrey Kosyakov 2012-04-13 09:38:52 PDT
(In reply to comment #4)
> 
> You need to update a test with it.

Fixed!

> > Source/WebCore/inspector/front-end/TimelinePresentationModel.js:-73
> > -    recordStyles[recordTypes.BeginFrame] = { title: WebInspector.UIString("Frame Start"), category: categories["rendering"] };
> 
> Why did this move?

For the consistency with other places (InspectorTimelineAgent, TimelindeModel) where we list all record types. Besides, since we group the records logically, we could as well try to match chronological order.
Comment 7 Andrey Kosyakov 2012-05-24 04:45:32 PDT
Committed r118351: <http://trac.webkit.org/changeset/118351>